Package io.github.jdbcx.driver

# Class DefaultDriverExtension

java.lang.Object
io.github.jdbcx.driver.DefaultDriverExtension

All Implemented Interfaces:
  `DriverExtension`, `Comparable<DriverExtension>`

public final class DefaultDriverExtension extends Object implements DriverExtension

## Field Summary

### Fields inherited from interface io.github.jdbcx.DriverExtension

`DEFAULT_JDBC_TABLE_TYPE, JDBC_TABLE_FIELDS, PROPERTY_BRIDGE_TOKEN, PROPERTY_BRIDGE_URL, PROPERTY_PATH, PROPERTY_PRODUCT, PROPERTY_USER`

## Method Summary

Modifier and Type
Method
Description
`List<Option>`
`getDefaultOptions()`
Gets the default configuration options supported by this extension.
`static final DriverExtension`
`getInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.github.jdbcx.DriverExtension

`compareTo, createListener, getAliases, getConfig, getConnection, getDefaultConfig, getDescription, getName, getOptions, getSchemas, getTables, getUsage, requiresBridgeContext, supportsDirectQuery, supportsInspection, supportsNoArguments`

## Method Details

### getInstance

public static final DriverExtension getInstance()

### getDefaultOptions

public List<Option> getDefaultOptions()
Description copied from interface: `DriverExtension`
Gets the default configuration options supported by this extension.

Specified by:
  `getDefaultOptions` in interface `DriverExtension`
Returns:
  non-null default options